=== debian/changelog ===
vis (0.4-2) unstable; urgency=medium

  * Bump to Standards-Version 4.1.3
  * Bump compat level to 11
  * Packaging repository moved to salsa
  * Only link with needed libraries (ld --as-needed)

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 19 Feb 2018 18:13:23 +0100

vis (0.4-1) unstable; urgency=medium

  * New upstream version
  * Bump debian/compat level to 10
  * Remove upstreamed patches
  * Patch the missing copyright notice for the strace lexer
  * Add debian/copyright entry for the strace lexer
  * Bump standards version
  * Remove extra license files
  * Add more options to d/gbp.conf
  * Add Vcs- fields to d/control
  * Specify the packaging branch in the Vcs-Git field
  * Fix d/gbp.conf (options must be specified without the 'git-' prefix)

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 25 Jul 2017 15:22:33 +0200

vis (0.3-2) unstable; urgency=medium

  * Fix compilation on GNU Hurd systems (Closes: #860513)

 -- Paride Legovini <pl@ninthfloor.org>  Sat, 13 May 2017 12:29:13 +0200

vis (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #838895)

 -- Paride Legovini <pl@ninthfloor.org>  Fri, 31 Mar 2017 16:00:13 +0200
