=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vis-$1\.tar\.gz/ \
  https://github.com/martanne/vis/tags .*/v?(\d\S*)\.tar\.gz
