=== debian/changelog ===
vis (0.5+ts-3) unstable; urgency=medium

  * Disable the vim tests
  * Run the test/vis tests as autopkgtest

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 08 May 2018 14:34:19 +0000

vis (0.5+ts-2) unstable; urgency=medium

  * Build-depend on libselinux1-dev only on Linux systems

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 16 Apr 2018 21:46:38 +0000

vis (0.5+ts-1) unstable; urgency=medium

  * Enable the test suite (git submodule):
    - d/rules: do not override_dh_auto_test.
    - d/rules: cleanup the test suite after building.
    - d/gbp.conf: add ‘submodules = True’.
    - New build-deps: locales-all, lua-busted, lua-lpeg, vim.
    - Cover the test suite in d/copyright.
    - Add the ‘+ts’ version string to differentiate the new .orig
      tarball now containing the test suite from the previous one.
    - Patch: delete broken test depending on external sed(1)
      invocation (cherry-pick, upstream commit 90dd04f).
    - Patch: make sure $TERM is set (cherry pick, c824ec2).
  * Build with POSIX acl support (build-depend on libacl1-dev).
  * Build with SELinux support (build-depend on libselinux1-dev).
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * debian/* relicensed as ISC.
  * d/watch: dversionmangle: remove version string

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 16 Apr 2018 08:41:36 +0000

vis (0.5-1) unstable; urgency=medium

  * New upstream version 0.5
  * Drop upstreamed patches
  * New patches:
    - Remove execution file permission from clojure.lua
      (upstreamed, cherry-picked)
    - Remove broken manpage POSIX referemce
      (upstreamed, cherry-picked)
  * Add upstream metadata file (DEP12)
  * debian/copyright:
    - updated copyright years
    - added the new lexers
    - lexers copyright entries consolidated in a single section
    - point to ‘common-licenses’ instead of reporting the full CC0 license

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 28 Mar 2018 07:19:54 +0000
