=== debian/control ===
--- 
+++ 
@@ -2,9 +2,19 @@
 Section: editors
 Priority: optional
 Maintainer: Paride Legovini <pl@ninthfloor.org>
-Build-Depends: libncursesw5-dev, libtermkey1, liblua5.3-dev,
- libtermkey-dev, libtre-dev, debhelper (>= 11~), pkg-config
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11~),
+               libncursesw5-dev,
+               libtermkey1,
+               liblua5.3-dev,
+               libtermkey-dev,
+               libtre-dev,
+               pkg-config,
+               libacl1-dev,
+               libselinux1-dev [linux-any],
+               locales-all,
+               lua-busted,
+               lua-lpeg
+Standards-Version: 4.1.4
 Homepage: https://github.com/martanne/vis
 Vcs-Git: https://salsa.debian.org/debian/vis.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/debian/vis
