=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+#export DH_VERBOSE = 1
 
 # https://pkg-perl.alioth.debian.org/debhelper.html#Occasionally_Useful
 PACKAGE = $(shell dh_listpackages)
@@ -32,4 +34,22 @@
 	# Remove extra license files
 	rm -v $(TMP)/usr/share/doc/vis/LICENSE $(TMP)/usr/share/vis/lexers/LICENSE
 
+# The tests need to be run in an UTF-8 aware environment.
+override_dh_auto_test: LC_ALL=en_US.UTF-8
 override_dh_auto_test:
+	# The vim tests harness is not solid, let's skip them for the moment.
+	# Upstream mentioned the possibility of phasing them out entirely.
+	make -C test/core
+	make -C test/lua
+	make -C test/vis
+
+override_dh_auto_clean:
+	dh_auto_clean
+
+	# Cleanup the test suite submodule too.
+	$(MAKE) -C test clean
+
+	# Note: it doesn't really clean up everything.
+	# Upstream issue: https://github.com/martanne/vis-test/issues/13.
+	# Let's manually remove the test build leftovers.
+	rm -f test/core/ccan-config test/core/config.h test/util/keys
