=== debian/tests/control ===
Depends: @, locales-all
Restrictions: needs-recommends
Test-Command: cd test/vis && LC_ALL=en_US.UTF-8 VIS=vis ./test.sh
