=== test/core/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	$(MAKE) CFLAGS_EXTRA='-fsanitize=undefined'
 
 msan: clean
-	$(MAKE) CFLAGS_EXTRA='-g -fsanitize=memory'
+	$(MAKE) CFLAGS_EXTRA='-fsanitize=memory -fsanitize-memory-track-origins'
 
 valgrind: clean ${ALL}
 	@for test in ${ALL}; do \
@@ -57,6 +57,7 @@
 
 clean:
 	@echo cleaning
+	@rm -f ccan-config config.h
 	@rm -f $(ALL)
 	@rm -f *.gcov *.gcda *.gcno
 	@rm -f *.valgrind
