=== debian/changelog ===
vis (0.6-3) unstable; urgency=medium

  * Run the tests only on: amd64, arm64, ppc64el.

 -- Paride Legovini <paride@debian.org>  Wed, 29 Jul 2020 22:59:29 +0000

vis (0.6-2) unstable; urgency=medium

  * d/control: Build-Depend on vim and 9base only on amd64 due to
    package availability and flaky tests.
  * d/gbp.conf: move the pristine-tar settings to the DEFAULT section.

 -- Paride Legovini <paride@debian.org>  Tue, 07 Jul 2020 18:17:56 +0000

vis (0.6-1) unstable; urgency=medium

  * New upstream version 0.6.
  * d/control:
    - Bump Standards-Version to 4.5.0 (no changes needed).
    - Bump the dh compat level to 13.
    - Build-Depend on 9base and vim (needed test against sam and vim).
    - Use the paride@debian.org alias in Uploaders.
    - Add Multi-Arch: foreign.
    - Add Rules-Requires-Root: no.
    - Rewrap the file (wrap-and-sort -st).
  * d/gbp.conf:
    - Unset upstream-branch (imports are done from upstream git).
    - Always create the (xz compressed) pristine-tar.
  * d/rules:
    - Re-enable the vim tests.
    - Stop enforcing -Wl,--as-needed (now done by default).
    - Drop the test suite cleanup commands; use d/clean instead.
    - dh_auto_test: set LANG=C.UTF-8.
      See: https://github.com/martanne/vis-test/issues/25.
  * d/copyright: update copyright entry for debian/*.
  * autopkgtests:
    - Drop the needs-recommends requirement (deprecated).
    - Do not set LC_ALL=en_US.UTF-8 (now done upstream).
  * Drop all the patches (upstreamed).

 -- Paride Legovini <paride@debian.org>  Mon, 06 Jul 2020 22:33:26 +0000
