=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: vis
 Section: editors
 Priority: optional
-Maintainer: Paride Legovini <pl@ninthfloor.org>
-Build-Depends: debhelper (>= 11~),
-               libncursesw5-dev,
-               libtermkey1,
-               liblua5.3-dev,
-               libtermkey-dev,
-               libtre-dev,
-               pkg-config,
-               libacl1-dev,
-               libselinux1-dev [linux-any],
-               locales-all,
-               lua-busted,
-               lua-lpeg
-Standards-Version: 4.1.4
+Maintainer: Paride Legovini <paride@debian.org>
+Build-Depends:
+ 9base [amd64 arm64 ppc64el],
+ debhelper-compat (= 13),
+ libacl1-dev,
+ liblua5.3-dev,
+ libncursesw5-dev,
+ libselinux1-dev [linux-any],
+ libtermkey-dev,
+ libtermkey1,
+ libtre-dev,
+ locales-all,
+ lua-busted,
+ lua-lpeg,
+ pkg-config,
+ vim [amd64 arm64 ppc64el],
+Standards-Version: 4.5.0
 Homepage: https://github.com/martanne/vis
-Vcs-Git: https://salsa.debian.org/debian/vis.git -b debian/sid
+Vcs-Git: https://salsa.debian.org/debian/vis.git
 Vcs-Browser: https://salsa.debian.org/debian/vis
+Rules-Requires-Root: no
 
 Package: vis
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: lua-lpeg
 Provides: editor
 Description: Modern, legacy free, simple yet efficient vim-like editor
