## vis 0.7

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,31 @@
 
 REGEX_SRC ?= text-regex.c
 
-SRC = array.c buffer.c libutf.c main.c map.c \
-	sam.c text.c text-motions.c text-objects.c text-util.c \
-	ui-terminal.c view.c vis.c vis-lua.c vis-modes.c vis-motions.c \
-	vis-operators.c vis-registers.c vis-marks.c vis-prompt.c vis-text-objects.c $(REGEX_SRC)
+SRC = array.c \
+	buffer.c \
+	libutf.c \
+	main.c \
+	map.c \
+	sam.c \
+	text.c \
+	text-common.c \
+	text-io.c \
+	text-iterator.c \
+	text-motions.c \
+	text-objects.c \
+	text-util.c \
+	ui-terminal.c \
+	view.c \
+	vis.c \
+	vis-lua.c \
+	vis-marks.c \
+	vis-modes.c \
+	vis-motions.c \
+	vis-operators.c \
+	vis-prompt.c \
+	vis-registers.c \
+	vis-text-objects.c \
+	$(REGEX_SRC)
 
 ELF = vis vis-menu vis-digraph
 EXECUTABLES = $(ELF) vis-clipboard vis-complete vis-open
@@ -14,7 +35,7 @@
 
 DOCUMENTATION = LICENSE README.md
 
-VERSION = v0.6
+VERSION = v0.7
 
 CONFIG_HELP ?= 1
 CONFIG_CURSES ?= 1
@@ -121,11 +142,19 @@
 	[ -e test/Makefile ] || $(MAKE) test-update
 	@$(MAKE) -C test
 
+testclean:
+	@echo cleaning the test artifacts
+	[ ! -e test/Makefile ] || $(MAKE) -C test clean
+
 clean:
 	@echo cleaning
 	@rm -f $(ELF) vis-single vis-single-payload.inc vis-*.tar.gz *.gcov *.gcda *.gcno
 
-dist: clean
+distclean: clean testclean
+	@echo cleaning build configuration
+	@rm -f config.h config.mk
+
+dist: distclean
 	@echo creating dist tarball
 	@git archive --prefix=vis-${VERSION}/ -o vis-${VERSION}.tar.gz HEAD
 
@@ -192,4 +221,4 @@
 	@echo removing support files from ${DESTDIR}${SHAREPREFIX}/vis
 	@rm -rf ${DESTDIR}${SHAREPREFIX}/vis
 
-.PHONY: all clean dist install install-strip uninstall debug profile coverage test test-update luadoc luadoc-all luacheck man docker-kill docker docker-clean
+.PHONY: all clean testclean dist distclean install install-strip uninstall debug profile coverage test test-update luadoc luadoc-all luacheck man docker-kill docker docker-clean
