=== test/Makefile ===
--- 
+++ 
@@ -11,5 +11,6 @@
 	@$(MAKE) -C vis clean
 	@$(MAKE) -C sam clean
 	@$(MAKE) -C vim clean
+	@$(MAKE) -C util clean
 
 .PHONY: test clean
