=== test/core/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	@echo Generating ccan configuration header
 	@${CC} ccan-config.c -o ccan-config && ./ccan-config > config.h
 
-text-test: config.h text-test.c ../../text.c ../../text-util.c ../../text-motions.c ../../text-objects.c ../../text-regex.c
+text-test: config.h text-test.c ../../text.c ../../text-common.c ../../text-io.c ../../text-iterator.c ../../text-util.c ../../text-motions.c ../../text-objects.c ../../text-regex.c ../../array.c
 	@echo Compiling $@ binary
 	@${CC} ${CFLAGS} ${CFLAGS_STD} ${CFLAGS_LIBC} ${CFLAGS_EXTRA} ${filter %.c, $^} ${SRC} ${LDFLAGS} -o $@
 
@@ -58,6 +58,7 @@
 clean:
 	@echo cleaning
 	@rm -f ccan-config config.h
+	@rm -f data symlink hardlink
 	@rm -f $(ALL)
 	@rm -f *.gcov *.gcda *.gcno
 	@rm -f *.valgrind
