=== debian/changelog ===
vis (0.7-2) unstable; urgency=medium

  * d/control: drop the 9base B-Dep (RC-buggy test dependency).
  * d/*: apply wrap-and-sort -bast (cosmetic).

 -- Paride Legovini <paride@debian.org>  Wed, 03 Mar 2021 16:20:36 +0000

vis (0.7-1) unstable; urgency=medium

  * New upstream version 0.7.
  * d/control: Bump Standards-Version to 4.5.1, no changes needed.
  * d/gbp.conf: debian-branch = debian/latest (DEP-14).
  * d/s/lintian-overrides: override package-does-not-install-examples for
    test/sam/examples/. We're not supposed to install the test suite examples.

 -- Paride Legovini <paride@debian.org>  Wed, 06 Jan 2021 23:02:44 +0000
