=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Paride Legovini <paride@debian.org>
 Build-Depends:
- 9base [amd64 arm64 ppc64el],
  debhelper-compat (= 13),
  libacl1-dev,
  liblua5.3-dev,
@@ -17,7 +16,7 @@
  lua-lpeg,
  pkg-config,
  vim [amd64 arm64 ppc64el],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/martanne/vis
 Vcs-Git: https://salsa.debian.org/debian/vis.git
 Vcs-Browser: https://salsa.debian.org/debian/vis
@@ -25,9 +24,13 @@
 
 Package: vis
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: lua-lpeg
-Provides: editor
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ lua-lpeg,
+Provides:
+ editor,
 Description: Modern, legacy free, simple yet efficient vim-like editor
  Vis aims to be a modern, legacy free, simple yet efficient editor
  combining the strengths of both vi(m) and sam. It extends vi's modal
