=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vis-$1\.tar\.gz/,dversionmangle=s/\+ts$// \
  https://github.com/martanne/vis/tags .*/v?(\d\S*)\.tar\.gz
