## vis 0.8

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 DOCUMENTATION = LICENSE README.md
 
-VERSION = v0.7
+VERSION = 0.8
 
 CONFIG_HELP ?= 1
 CONFIG_CURSES ?= 1
