=== debian/changelog ===
vis (0.8-1) unstable; urgency=medium

  * New upstream version 0.8
  * d/control: bump Standards-Version to 4.6.1, no changes needed
  * d/copyright: update copyright years for debian/*
  * d/lintian-overrides: refresh overrides
  * d/watch: switch to mode=git.
    We only use the watch file to detect new upstream versions, as the
    packaging follows a pure-git workflow (gbp import-ref). What we care
    about are git tags, so let's directly watch for those.

 -- Paride Legovini <paride@debian.org>  Mon, 14 Nov 2022 09:47:41 +0000
