=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  lua-lpeg,
  pkg-config,
  vim [amd64 arm64 ppc64el],
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/martanne/vis
 Vcs-Git: https://salsa.debian.org/debian/vis.git
 Vcs-Browser: https://salsa.debian.org/debian/vis
