=== debian/changelog ===
vis (0.9-1) unstable; urgency=medium

  * New upstream version 0.8 (Closes: #1050536)
  * d/control: bump Standards-Version to 4.7.0, no changes needed
  * d/control: replace obsolete B-D on libncursesw5-dev with libncurses-dev
  * d/control: replace obsolete B-D on pkg-config with pkgconf
  * d/control: build against newer liblua (liblua5.4)
  * d/rules: drop override_dh_auto_test, made unnecessary by upstream change
  * d/rules: turn override_dh_auto_clean into execute_after_dh_auto_clean
  * d/copyright: update copyright years for debian/*

 -- Paride Legovini <paride@debian.org>  Fri, 10 May 2024 15:58:40 +0200
