=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  libacl1-dev,
- liblua5.3-dev,
- libncursesw5-dev,
+ liblua5.4-dev,
+ libncurses-dev,
  libselinux1-dev [linux-any],
  libtermkey-dev,
  libtermkey1,
@@ -14,9 +14,9 @@
  locales-all,
  lua-busted,
  lua-lpeg,
- pkg-config,
+ pkgconf,
  vim [amd64 arm64 ppc64el],
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/martanne/vis
 Vcs-Git: https://salsa.debian.org/debian/vis.git
 Vcs-Browser: https://salsa.debian.org/debian/vis
