=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,6 @@
 	#
 	./configure --prefix=/usr
 
-override_dh_auto_test:
-	# https://github.com/martanne/vis-test/issues/25
-	dh_auto_test -- LANG=C.UTF-8
-
 override_dh_auto_install:
 	dh_auto_install -- DOCUMENTATION=README.md
 
@@ -39,9 +35,7 @@
 	rm -v debian/vis/usr/share/vis/lexers/LICENSE
 	rm -v debian/vis/usr/share/vis/lexers/README.md
 
-override_dh_auto_clean:
-	dh_auto_clean
-
+execute_after_dh_auto_clean:
 	# Cleanup the test suite submodule.
 	# Remove if https://github.com/martanne/vis/pull/848 lands.
 	$(MAKE) -C test clean
