=== debian/tests/control ===
Depends:
 locales-all,
 lua-lpeg,
 @,
Test-Command: cd test/vis && VIS=vis ./test.sh
