=== debian/watch ===
# Only use to report new upstream versions.
# The packaging follows a pure-git workflow (gbp import-ref).

version=4
opts=mode=git https://github.com/martanne/vis.git refs/tags/v@ANY_VERSION@
